﻿/*
 *         Progetto: Occorrenze vocali
 * 
 *           Autore: Roberto Fuligni
 *  Ultima modifica: 18/10/2018
 *  
 *      Descrizione: Data in input una stringa non vuota, determinare e visualizzare il numero di occorrenze
 *                   di ciascuna vocale.
 *                   
 */

using System;

namespace occorrenzeVocali
{
    class OccorrenzeVocali
    {
        static void Main(string[] args)
        {
            int[] occ = { 0, 0, 0, 0, 0 };
            const string vocali = "aeiou";

            string s;
            do
            {
                Console.Write("Inserire una stringa non vuota: ");
                s = Console.ReadLine();
            }
            while (String.IsNullOrEmpty(s) == true);

            for(int i = 0; i < s.Length; i++)
            {
                char ch = char.ToLower(s[i]);
                int pos = vocali.IndexOf(ch);

                if (pos >= 0)
                    occ[pos]++;
            }

            Console.WriteLine();
            Console.WriteLine("Vocale    Occorrenze");
            Console.WriteLine("====================");
            for(int i = 0; i < vocali.Length; i++)
                Console.WriteLine("   {0}    {1,8}", vocali[i], occ[i]);

        }
    }
}
